Auth_phpbb and PHP 5.3

 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    php|uber.leet Forum Index // General
View previous topic :: View next topic  
Author Message
mitchelln



Joined: 15 Dec 2011
Posts: 2

PostPosted: Thu Dec 15, 2011 6:09 am    Post subject: Auth_phpbb and PHP 5.3 Reply with quote
Hi.

I've got this great extension running fine under PHP 5.2, but on a new server running PHP 5.3 it throws an error:
Notice: Undefined variable: wgRequest in /var/www/webapps/wiki/index.php on line 51 Fatal error: Call to a member function getVal() on a non-object in /var/www/webapps/wiki/index.php on line 51

Any idea why it is not working with PHP 5.3?

Many thanks.
Back to top
View user's profile Send private message
root
Site Admin


Joined: 24 Jun 2005
Posts: 471

PostPosted: Tue Dec 20, 2011 11:30 am    Post subject: Reply with quote
I do not know mitchelln. If you find out please let us know.
Back to top
View user's profile Send private message
mitchelln



Joined: 15 Dec 2011
Posts: 2

PostPosted: Tue Dec 20, 2011 1:31 pm    Post subject: Reply with quote
I found the problem. The extension crashes if apc caching is used with PHP 5.3.

I've tried apc version 3.1.3 and an older version, but as soon as you enable it the extension dies.

With PHP 5.2 it works with the same version of apc. Very odd.
Back to top
View user's profile Send private message
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    php|uber.leet Forum Index // General All times are GMT - 8 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

alexisBlue v1.2 // Theme Created By: Andrew Charron and Web Hosting Bluebook
Powered by phpBB © 2001, 2002 phpBB Group